Subject: Re: bug#4209: 23.1; Emacs 23.1 regression in re-search-forward

From: Kenichi Handa <[email-masked]>
Date: Fri, 29 Jan 2010 15:15:28 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> > So, in emacs-unicode branch, I fixed the regex code so that
> > unibyte pattern can be directry used for multibyte buffer
> > search by doing unibyte->multibyte conversion on the fly.
> > And that code was merged to trunk.

> Hmm... that's too bad since the subsequent change to get rid of the
> dependency on locales made this change unnecessary.

Yes.  I'll put this in my todo list (but with lower priority).

   * avoid on-the-fly uni<->multi conversion in regex.c.

> But given this, yes, the patch looks right, and no, I have no idea what
> the CHAR_BYTE8_P test was trying to do.

Ok, thank you for the confirmation.

---
Kenichi Handa
[email-masked]